## kbookreader-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kbookreader )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( images )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kbookreader-trinity 3.5.13.2

=== debian/changelog ===
kbookreader-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:39:55 +0200

kbookreader-trinity (0.2.0-0ubuntu0) karmic; urgency=low

  * Initial import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 20 July 2011 23:14:00 -0600

=== debian/control ===
Source: kbookreader-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 5), quilt, cdbs, kdelibs4-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://k9copy.sourceforge.net/

Package: kbookreader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbookreader-kde3 (<< 4:3.5.13)
Breaks: kbookreader-kde3 (<< 4:3.5.13)
Description: eBook reader for Trinity
 kbookreader is an application which allows you to view eBooks
 within the Trinity Desktop Environment

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --includedir="/opt/trinity/include/kde" --mandir="/opt/trinity/share/man" --infodir="/opt/trinity/share/info"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## kbookreader-trinity 14.0.4

=== debian/changelog ===
kbookreader-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:13:14 +0200

## kbookreader-trinity 14.0.5

=== debian/changelog ===
kbookreader-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:19:34 +0200

=== debian/control ===
Source: kbookreader-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://k9copy.sourceforge.net/

Package: kbookreader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbookreader-kde3 (<< 4:14.0.0~), kbookreader-trinity (<< 4:14.0.0~)
Breaks: kbookreader-kde3 (<< 4:14.0.0~), kbookreader-trinity (<< 4:14.0.0~)
Description: eBook reader for Trinity
 kbookreader is an application which allows you to view eBooks
 within the Trinity Desktop Environment

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --includedir="/opt/trinity/include/tde" --mandir="/opt/trinity/share/man" --infodir="/opt/trinity/share/info"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## kbookreader-trinity 14.0.6

=== debian/changelog ===
kbookreader-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:16:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://k9copy.sourceforge.net/

## kbookreader-trinity 14.0.8

=== debian/changelog ===
kbookreader-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool | gettext (>= 0.19~), tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://k9copy.sourceforge.net/

## kbookreader-trinity 14.0.9

=== debian/changelog ===
kbookreader-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:03:40 +0200

## kbookreader-trinity 14.0.10

=== debian/changelog ===
kbookreader-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kbookreader-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool | gettext (>= 0.19~), tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://k9copy.sourceforge.net/

## kbookreader-trinity 14.0.11

=== debian/changelog ===
kbookreader-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 16:16:05 +0200

## kbookreader-trinity 14.0.12

=== debian/changelog ===
kbookreader-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:42 +0100

## kbookreader-trinity 14.0.13

=== debian/changelog ===
kbookreader-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Sep 2022 00:22:29 +0200

## kbookreader-trinity 14.1.0

=== debian/changelog ===
kbookreader-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 09 Mar 2023 12:14:45 +0100

## kbookreader-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kbookreader )
-set( VERSION R14.0.6 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths
@@ -70,8 +73,12 @@
 
 add_subdirectory( src )
 add_subdirectory( images )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kbookreader-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:54:25 +0200

=== debian/control ===
Source: kbookreader-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://k9copy.sourceforge.net/

Package: kbookreader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbookreader-trinity (<< 4:14.0.0~)
Breaks: kbookreader-trinity (<< 4:14.0.0~)
Description: eBook reader for Trinity
 kbookreader is an application which allows you to view eBooks
 within the Trinity Desktop Environment

## kbookreader-trinity 14.1.2

=== debian/changelog ===
kbookreader-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Mar 2024 23:10:27 +0100

## kbookreader-trinity 14.1.3

=== debian/changelog ===
kbookreader-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 23:09:51 +0200

## kbookreader-trinity 14.1.4

=== debian/changelog ===
kbookreader-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 23:36:59 +0200

## kbookreader-trinity 14.1.5~pre0

=== debian/changelog ===
kbookreader-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for cb497e8fd3ca9bc9b166727c339b6e19b0e36d2e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbookreader-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== images/CMakeLists.txt ===
install(
    FILES bg.png splash.png bookmark.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes/default
)

=== debian/changelog ===
kbookreader-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: kbookreader-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://k9copy.sourceforge.net/

Package: kbookreader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbookreader-kde3 (<< 4:14.0.0~), kbookreader-trinity (<< 4:14.0.0~)
Breaks: kbookreader-kde3 (<< 4:14.0.0~), kbookreader-trinity (<< 4:14.0.0~)
Description: eBook reader for Trinity
 kbookreader is an application which allows you to view eBooks
 within the Trinity Desktop Environment

## kbookreader-trinity 14.1.6~pre0

=== debian/changelog ===
kbookreader-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for cb497e8fd3ca9bc9b166727c339b6e19b0e36d2e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbookreader-trinity 14.1.6~pre1

=== debian/changelog ===
kbookreader-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 91304390ecc39fa99b00862675001a373a0e6323
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:53:40 +0100

## kbookreader-trinity 14.2.0~pre37

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### bookreader (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        settingsdlg.ui
        main.cpp
        bookreader.cpp
        bookreaderiface.skel
        bookwidget.cpp
        theme.cpp
        settings.kcfgc
        renderer.cpp
        bookmark.cpp
        bookmarksdlg.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### bookreader_client (executable)

tde_add_executable( ${PROJECT_NAME}_client AUTOMOC

  SOURCES
        bookreader_client.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES kbookreaderui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

install(
    FILES ${PROJECT_NAME}.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
kbookreader-trinity (4:14.2.0~pre37-0debian13.0.0+6) trixie; urgency=low

  * Automated git build for f7b256bcc8c75a7a8c716b94b6f805ee9f05a5d9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: kbookreader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kbookreader-kde3 (<< 4:14.0.0~), kbookreader-trinity (<< 4:14.0.0~)
-Breaks: kbookreader-kde3 (<< 4:14.0.0~), kbookreader-trinity (<< 4:14.0.0~)
+Replaces: kbookreader-trinity (<< 4:14.0.0~)
+Breaks: kbookreader-trinity (<< 4:14.0.0~)
 Description: eBook reader for Trinity
  kbookreader is an application which allows you to view eBooks
  within the Trinity Desktop Environment

## kbookreader-trinity 14.2.0~pre38

=== debian/changelog ===
kbookreader-trinity (4:14.2.0~pre38-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d8dfa72aa20c411026907374fe3561ef1260ba19
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbookreader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:01:32 +0100
